%define realname galago-sharp

Summary: .Net language bindings for  Galago
Name: lib%realname
Version: 0.5.0
Release: alt1
Copyright: LGPL
Group: Development/Other
Packager: Mono Maintainers Team <mono@packages.altlinux.org>
Source: %realname-%version.tar.bz2
Source1: galago-sharp-0.5.0-dll.config
Patch1: galago-sharp-fix-disable-get-libgalago.patch
Patch2: galago-sharp-fix-nunit.patch
Patch3: galago-sharp-fix-path.patch

URL: http://galago-project.org/files/releases/source/%{realname}/%{name}-%{version}.tar.bz2
Requires: mono >= 1.1.8
Requires: libgalago


BuildRequires: gcc-c++ libdbus-mono-devel libgalago-devel libgtk-sharp2-devel xsltproc zlib-devel xsltproc
BuildRequires: /proc
BuildRequires:  mono-devel mono-mcs mono-nunit rpm-build-mono

%description
.Net language bindings for for the Galago desktop presence framework.

%prep
%setup -n %realname-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%__libtoolize --force
%__aclocal
%__autoconf
%__autoheader
%__automake -a -c --foreign
%configure
%make

%install
# %%makeinstall
%make_install install DESTDIR=%buildroot

%__cp %SOURCE1 %buildroot%_monogacdir/%realname/*/

%files
%doc README ChangeLog AUTHORS NEWS
%_monodir/%realname
%_monogacdir/%realname
%_pkgconfigdir/%realname.pc
%_datadir/gapi-2.0/galago-api.xml

%changelog
* Thu Nov 30 2006 Alexey Shabalin <shaba@altlinux.ru> 0.5.0-alt1
- Initial build for Sisyphus
